import { Application, ChannelService } from 'pinus';
import { reloadResources } from '../../../pubUtils/data';

export default function (app: Application) {
    return new ActivityRemote(app);
}

export class ActivityRemote {

    constructor(private app: Application) {
        this.app = app;
        this.channelService = app.get('channelService');
    }

    private channelService: ChannelService;
    
    /**
     * 重载json资源
     */
    public async reloadResources() {
        reloadResources();
    }
}